One deployment run of this app.
const url = 'https://example.com/api/v1/projects/example/environments/example/apps/example/deployments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/projects/example/environments/example/apps/example/deployments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Project name
Environment short name
App name
Deployment run id
Responses
Section titled “Responses”A deployment run and where it stands.
object
The target generation this run owns.
planned, awaitingApproval, pendingDelivery, acceptedByCluster,
applying, succeeded, failed, superseded, cancelled, …
Distinct approvals the environment’s policy requires before delivery.
When a run waiting for approval is cancelled (Unix milliseconds).
The hash approvers confirm (hex), when approvals are required.
What admission could not check, e.g. that the pods will be scheduled.
Examplegenerated
{ "run": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "operation": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "generation": 1, "phase": "example", "approvals_required": 1, "approval_expires_at": 1, "plan_hash": "example", "warnings": [ "example" ]}Problem Details body.
object
Stable machine-readable code, e.g. forbidden.
Short human readable title.
HTTP status.
Details, if safe to expose.
Example
{ "code": "forbidden"}Problem Details body.
object
Stable machine-readable code, e.g. forbidden.
Short human readable title.
HTTP status.
Details, if safe to expose.
Example
{ "code": "forbidden"}